rooms/:name/dialOut/sendDTMF
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/dialOut/sendDTMF \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"tones": "<string>",
"digitDurationMs": 1025
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/dialOut/sendDTMF"
payload = {
"sessionId": "<string>",
"tones": "<string>",
"digitDurationMs": 1025
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', tones: '<string>', digitDurationMs: 1025})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/dialOut/sendDTMF', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": "true",
"sessionId": "UUID of the dial-out session"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Dial Out
Room Dial Out Send DTMF
send DTMF digits on the dialout
POST
/
rooms
/
{room_name}
/
dialOut
/
sendDTMF
rooms/:name/dialOut/sendDTMF
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The participant ID of the dialOut session
Combined string of DTMF tones to send (e.g., "1234#"). Maximum 20 characters.
Duration in milliseconds, represents the duration between each DTMF digit. Must be between 50 and 2000. The default duration is 500ms.
Required range:
50 <= x <= 2000Response
200
⌘I